%define rel 1

Name:           obconf-qt
Version: 0.16.2
Release:        %mkrel %rel
Summary:        Openbox configuration tool for the LXQt desktop
License:        LGPLv2+
Group:          Graphical desktop/KDE
URL:            https://lxqt-project.org/
Source0:        https://github.com/lxqt/%{name}/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  cmake

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Help)

BuildRequires:  pkgconfig(lxqt)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(obrender-3.5)
BuildRequires:  pkgconfig(obt-3.5)



%description
Openbox configuration tool for the LXQt desktop.

%prep
%setup -q


%build
# try to fix "undefined reference to symbol 'XInternAtom' - DSO missing from command line error
%cmake_qt5 -DCMAKE_EXE_LINKER_FLAGS=-lX11
%cmake_build


%install
%cmake_install


%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/*/%{name}.png
%{_datadir}/%{name}/



%changelog
* Fri Apr 15 2022 papoteur <papoteur> 0.16.2-1.mga9
+ Revision: 1850100
- Release 0.16.2

* Tue Apr 05 2022 umeabot <umeabot> 0.16.1-2.mga9
+ Revision: 1845101
- Mageia 9 Mass Rebuild
+ neoclust <neoclust>
- Update to real 0.16.1 version
- New version 1.0.0

* Sat Apr 17 2021 daviddavid <daviddavid> 0.16.1-1.mga9
+ Revision: 1716295
- New version 0.16.1

* Thu Dec 17 2020 umeabot <umeabot> 0.16.0-2.mga8
+ Revision: 1659050
- Rebuild for new Qt5

* Sat Nov 07 2020 daviddavid <daviddavid> 0.16.0-1.mga8
+ Revision: 1643190
- New version 0.16.0
- update Url

* Sat Apr 25 2020 daviddavid <daviddavid> 0.15.0-1.mga8
+ Revision: 1571826
- New version 0.15.0

* Sat Feb 15 2020 umeabot <umeabot> 0.14.1-3.mga8
+ Revision: 1524838
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sun Mar 31 2019 umeabot <umeabot> 0.14.1-2.mga7
+ Revision: 1383579
- Qt5 Rebuild

* Thu Mar 28 2019 daviddavid <daviddavid> 0.14.1-1.mga7
+ Revision: 1380844
- new version: 0.14.1

* Sun Jan 27 2019 daviddavid <daviddavid> 0.14.0-2.mga7
+ Revision: 1361444
- conflicts deprecated lxqt-l10n package

* Sun Jan 27 2019 daviddavid <daviddavid> 0.14.0-1.mga7
+ Revision: 1361409
- New version 0.14.0

* Fri Dec 28 2018 daviddavid <daviddavid> 0.13.0-3.mga7
+ Revision: 1345486
- rebuild for new Qt5 5.12.0

* Sun Sep 23 2018 umeabot <umeabot> 0.13.0-2.mga7
+ Revision: 1299824
- Mageia 7 Mass Rebuild

* Sun Jun 10 2018 daviddavid <daviddavid> 0.13.0-1.mga7
+ Revision: 1235887
- New version 0.13.0

* Sun Apr 15 2018 neoclust <neoclust> 0.12.0-2.mga7
+ Revision: 1218883
- New version 1.12.0

* Fri Nov 11 2016 neoclust <neoclust> 0.11.0-2.mga6
+ Revision: 1066469
- Add translation package as a require

* Fri Nov 11 2016 daviddavid <daviddavid> 0.11.0-1.mga6
+ Revision: 1066350
- New version 0.11.0
- update Source URL

* Tue Feb 09 2016 umeabot <umeabot> 0.1.1-0.20141024.5.mga6
+ Revision: 952419
- Mageia 6 Mass Rebuild

* Sun Feb 22 2015 tmb <tmb> 0.1.1-0.20141024.4.mga5
+ Revision: 816555
- drop conditional qt5 build as its qt5-only now

* Wed Dec 17 2014 doktor5000 <doktor5000> 0.1.1-0.20141024.3.mga5
+ Revision: 803675
- rebuild for QT 5.4 breakage

* Sat Oct 25 2014 doktor5000 <doktor5000> 0.1.1-0.20141024.2.mga5
+ Revision: 793195
+ rebuild (emptylog)

* Fri Oct 24 2014 doktor5000 <doktor5000> 0.1.1-0.20141024.1.mga5
+ Revision: 792994
- add missing BuildRequires on pkgconfig(Qt5Help)
- new snapshot 20141024 (adds QT5 support)
- enabled QT5 build
- correct license

* Wed Oct 15 2014 umeabot <umeabot> 0.1.0-3.mga5
+ Revision: 742443
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.0-2.mga5
+ Revision: 682963
- Mageia 5 Mass Rebuild

* Sat Jun 07 2014 doktor5000 <doktor5000> 0.1.0-1.mga5
+ Revision: 634477
- imported package obconf-qt

